/*
 *  Remodal - v1.1.1
 *  Responsive, lightweight, fast, synchronized with CSS animations, fully customizable modal window plugin with declarative configuration and hash tracking.
 *  http://vodkabears.github.io/remodal/
 *
 *  Made by Ilya Makarov
 *  Under MIT License
 */

/* ==========================================================================
   Remodal's necessary styles
   ========================================================================== */

/* Hide scroll bar */

html.remodal-is-locked {
  overflow: hidden;

  -ms-touch-action: none;
  touch-action: none;
}

/* Anti FOUC */

.remodal,
[data-remodal-id] {
  display: none;
}

/* Necessary styles of the overlay */

.remodal-overlay {
  position: fixed;
  z-index: 9999;
  top: -5000px;
  right: -5000px;
  bottom: -5000px;
  left: -5000px;

  display: none;
}

/* Necessary styles of the wrapper */

.remodal-wrapper {
  position: fixed;
  z-index: 10000;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  display: none;
  overflow: auto;

  text-align: center;

  -webkit-overflow-scrolling: touch;
}

.remodal-wrapper:after {
  display: inline-block;

  height: 100%;
  margin-left: -0.05em;

  content: "";
}

/* Fix iPad, iPhone glitches */

.remodal-overlay,
.remodal-wrapper {
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

/* Necessary styles of the modal dialog */

.remodal {
  position: relative;

  outline: none;

  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

.remodal-is-initialized {
  /* Disable Anti-FOUC */
  display: inline-block;
}

p {
	margin: 0;
}

.popup-container {
	max-width: 800px !important;
	background-color: #f2f3f7 !important;
	padding: 10px 15px !important;
	border-radius: 15px;
}

.popup-first__err {
	font-size: 12px;
	color: red;
}

.popup-first {
	max-width: 450px !important;
	background-color: #ffffff;
	padding: 15px;
	border-radius: 10px;
}
.popup-first__form {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.popup-first img {
	max-width: 20%;
}

.popup-first__title {
	font-family: Segoe UI;
	color: rgb(10, 19, 23);
	font-size: 20px;
	font-weight: 600;
}
.popup-first__subtitle {
	display: block;
	margin: 1px 0 9px;
	color: #b3b4b6;
	font-family: Segoe UI;
	font-size: 12px;
	font-weight: 400;
}

.popup-first__text {
	font-family: Segoe UI;
	color: rgb(10, 19, 23);
	font-size: 21px;
	font-weight: 600;
	margin-bottom: 15px;
}

.scroll-wrp::-webkit-scrollbar {
	width: 0px;
}

.scroll-wrp {
	max-height: 75dvh;
	overflow-y: scroll;
	padding-bottom: 20px;
}

.top-popup {
	display: flex;
	justify-content: space-between;
	padding-bottom: 10px;
	border-bottom: 1px solid #c7c7c7;
}

.top-popup__left {
	display: flex;
	align-items: center;
}

.top-popup__left img {
	width: 15px;
	height: 15px;
}
.top-popup__left span {
	margin-left: 4px;
	font-family: Segoe UI Historic, Segoe UI, Helvetica, Arial, sans-serif;
	font-weight: 600;
	font-size: 14px;
}

.top-popup__right {
	cursor: pointer;
	display: flex;
	align-items: center;
}
.top-popup__right img {
	width: 15px;
	height: 15px;
}

.search-popup {
	font-family: Segoe UI Historic, Segoe UI, Helvetica, Arial, sans-serif;
	display: flex;
	align-items: center;
	background-color: white;
	padding: 5px;
	border-radius: 8px;
	margin-top: 8px;
}
.search-popup__protocol {
	color: #3a964e;
	font-size: 14px;
	position: relative;
	padding-left: 18px;
}

.search-popup__protocol::before {
	content: '';
	width: 14px;
	height: 14px;
	background-color: #3a964e;
	display: inline-block;
	mask: url('../hp-assets/lock.svg') no-repeat;
	mask-size: contain;
	position: absolute;
	top: 2px;
	left: 0;
}

.search-popup input {
    padding-left: 0;
	border: none;
	flex: 1 1 100%;
	margin-top: 0px;
}

.search-popup input:focus {
	border: none;
	outline: none;
}

.login-wrapper {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.login-wrapper__img {
	max-width: 190px;
}

html ._1kbt._1kbt {
	padding: 22px 13px;
	border-radius: 3px;
	position: relative;
	width: 85%;
}
._9ls7 {
	position: absolute;
	top: 10px;
	right: 11px;
}

.password-wrapper {
	padding-left: 5px !important;
	padding-right: 23px !important;
	text-align: left;
	margin: 0 auto;
}

.password-wrapper input {
	width: 90%;
	border: none;
	font-size: 14px;
	position: absolute;
    top: 13px;
}

.mb-last {
	margin-bottom: 20px;
}

.radio-label {
	margin-bottom: 25px;
	display: block;
	margin-right: 25px;
	cursor: pointer;
}
/* radio */

.radio {
	position: absolute;
	width: 1px;
	height: 1px;
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
	/* отвечает за отступы между текстом и checkbox */
	padding-left: 20px;
}

/* стили radio */
.radio-style {
	position: absolute;
	width: 18px;
	height: 18px;
	border: 2px solid #5d6c7b;
	/* отвечает за отступы между текстом и checkbox */
	border-radius: 50%;
}

/* кружочек */
.radio:checked + .radio-style::before {
	content: '';
	position: absolute;
	width: 12px;
	height: 12px;
	background-color: #0064e0;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	border-radius: 50%;
}

.radio:checked + .radio-style {
	border-color: #0064e0;
}

/* отключенный */
.radio:disabled + .radio-style {
	border-color: #cccccc;
}

/* отключенный выбранный*/
.radio:checked:disabled + .radio-style::before {
	background-color: #cccccc;
}

/* состояние фокуса */
.radio:focus-visible + .radio-style {
	box-shadow: 0 0 0 2px black;
}

.ch-wrapper__block {
	border: 1px solid #b5bac0;
	border-radius: 8px;
}

.ch-wrapper {
	max-width: 550px;
	margin: 20px auto 0;
	text-align: left !important;
}

.ch-wrapper__item {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 7px 10px;
    position: relative;
}

.ch-wrapper__item:not(:last-child) {
	border-bottom: 1px solid #b5bac0;
}

.ch-wrapper__title {
	font-family: Segoe UI;
	color: rgb(10, 19, 23);
	font-size: 24px;
	font-weight: 600;
}

.ch-wrapper__subtitle {
	display: block;
	font-size: 15px;
	font-weight: 400;
	font-family: Segoe UI;
	margin-bottom: 30px;
}

.ch-wrapper__text h3 {
	color: rgb(10, 19, 23);
	font-family: Segoe UI;
	font-size: 15px;
	font-weight: 500;
}

.ch-wrapper__text p {
	color: rgb(93, 108, 123);
	font-size: 15px;
	font-weight: 400;
	font-family: Segoe UI;
	margin: 0;
}

.info-ch-wrapper {
	display: grid;
	grid-template-columns: 30px auto;
	margin-top: 50px;
	border: 1px solid #b5bac0;
	padding: 15px 10px;
	border-radius: 8px;
}

.info-ch-wrapper__img {
	width: 20px;
	height: 20px;
	margin-top: 4px;
}

.info-ch-wrapper__text {
	max-width: 470px;
}

.info-ch-wrapper__text h3 {
	font-size: 17px;
	font-weight: 600;
	font-family: Segoe UI;
}

.info-ch-wrapper__text p {
	font-size: 15px;
	font-weight: 400;
	font-family: Segoe UI;
	margin: 0;
	margin-top: 5px;
}

.info-ch-wrapper__text span {
	color: rgb(0, 100, 224);
	font-weight: 700;
	font-family: Segoe UI;
	cursor: pointer;
}

.btnyty {
	background-color: #0064e0;
	color: rgb(241, 244, 247);
	border-radius: 15px;
	width: 100%;
	padding: 10px;
	font-size: 15px;
	font-weight: 500;
	font-family: Segoe UI;
	border: none;
	cursor: pointer;
}

.ch-wrapper__btnyty {
	margin-top: 40px;
}

.wh-wrapper {
	max-width: 550px;
	margin: 20px auto 0;
	text-align: left !important;
}

.wh-text__bread-crumbs {
	color: rgb(10, 19, 23);
	font-size: 13px;
	font-weight: 500;
	font-family: Segoe UI;
	margin-bottom: 2px;
}

.wh-text h2 {
	color: rgb(10, 19, 23);
	font-size: 24px;
	font-weight: 600;
	font-family: Segoe UI;
	margin-bottom: 5px;
}

.wh-subtitle {
	color: rgb(10, 19, 23);
	font-size: 15px;
	font-weight: 400;
	font-family: Segoe UI;
	margin-bottom: 15px;
}

.wh-wrapper__img {
	max-width: 100%;
	margin-bottom: 15px;
}

.wh-wrapper__input {
	position: relative;
	margin-bottom: 5px;
}
.wh-wrapper__input input {
	width: 96%;
	padding: 20px 10px 15px 10px;
	background-color: #f2f3f7;
	border: 1px solid #b5bac0;
	border-radius: 10px;
	font-size: 15px;
	font-weight: 500;
	font-family: Segoe UI;
	position: relative;
}

.wh-wrapper__input label {
	font-size: 15px;
	font-weight: 400;
	font-family: Segoe UI;
	position: absolute;
	left: 10px;
	top: 16px;
	transition: all 0.3s;
}

label.label--active {
	font-size: 11px;
	position: absolute;
	transform: translateY(-10px);
}

.wh-wrapper__returly {
	display: flex;
	gap: 10px;
	align-items: center;
	margin-bottom: 30px;
}

.wh-wrapper__returly svg {
	width: 15px;
	height: 15px;
}

.ch-wrapper-timer {
	display: flex;
	align-items: center;
	gap: 10px;
}
.wh-wrapper__returly p {
	color: rgb(93, 108, 123);
	font-size: 15px;
	font-weight: 400;
	font-family: Segoe UI;
}

.wh-wrapper__returly span {
	font-weight: 600;
	font-size: 13px;
	transform: translateY(-4px);
}

.wh-wrapper__returly b {
	font-size: 15px;
	font-weight: 600;
	font-family: Segoe UI;
	color: #1779f4;
	cursor: pointer;
}

#pass:focus {
	border: none;
	outline: none;
}
#email:focus {
	outline: 1px solid #b5bac0;
}

.password-wrapper:has(#pass:focus) {
	outline: 1px solid #b5bac0;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}
input[type='number'] {
	-moz-appearance: textfield;
}

.wh-wrapper__btnyty {
	margin-bottom: 10px;
	position: relative;
	height: 42px;
}

.btnyty-continie-img {
	position: absolute;
	top: 7px;
	left: 50%;
	transform: translateX(-50%);
}

.btnyty--disabled {
	opacity: 0.6;
	cursor: not-allowed;
}

.btnyty-white {
	background-color: #f2f3f7;
	border: 1px solid #b5bac0;
	color: black;
}

.error-box {
	margin-top: 20px !important;
	margin-bottom: 20px !important;
}

.btnyty-password-show._show-active .btnyty-password-show-icon {
	background: url('../hp-assets/close.png');
}

.spiner-image {
  position: absolute;
	width: 30px;
	height: 30px;
  top:50%;
  left:50%;
  transform:translate(-50%, -50%);
}

#loginbutton .spiner-image {
	/* transform: translateY(10px); */
}

dialog {
	border: none;
}

dialog:has(.popup-first) {
	border-radius: 10px;
}

dialog:has(.popup-container) {
	border-radius: 15px;
}

[data-modal-wrapper] {
	position: fixed;
	margin: 0;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.dialog:has(.popup-first) {
	max-width: 450px;
}

.dialog:has(.popup-container) {
	max-width: 800px;
	width: 100%;
	padding: 0;
}

.dialog::backdrop {
	background-color: rgba(0, 0, 0, 0.8);
}

dialog[open] {
	-webkit-animation: show 1s ease;
}

@-webkit-keyframes show {
	from {
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}

.error-input {
	border-color: #e1574c !important;
}

.error-input:focus{
    border-color: red !important;
    outline-color: red !important;
}

.error-label {
	color: #e1574c;
}

.error-input-p {
	display: grid;
    grid-template-columns: 15px auto;
    column-gap: 7px;
    margin-bottom: 10px;
}

.error-input-p img {
    width: 15px;
    height: 15px;
    align-self: center;
}

.error-input-p p{
    color: #e1574c;
}

@media (max-width: 582px) {
    .wh-wrapper__input input{
        width: 95%;
    }
}
@media (max-width: 480px) {
    .wh-wrapper__input input{
        width: 94%;
    }
}
@media (max-width: 430px) {
	._97vz ._1w1t {
		width: 310px;
	}
	._39il._97v_ ._52e0 {
		line-height: 37px;
		padding: 0px 9px;
		width: 191px;
	}

	.html ._1kbt._1kbt {
		width: 81%;
	}
    .wh-wrapper__input input{
        width: 92%;
    }
}

.d-none {
	display: none;
}

.hidden {
	position: absolute;
	width: 1px;
	height: 1px;
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
}


/* popup */


.popup-netflix-overlay{
  position: fixed !important;
  width: 100% !important;
  height: 100% !important;
  left: 0 !important;
  top: 0 !important;
  background: #000000c0;
  backdrop-filter: blur(3px);
  z-index: 99999999;
  display: none;
}

.popup-netflix-overlay.active{
  display: block;
}

.first-popup-netflix{
  position: absolute;
  top:50%;
  left:50%;
  transform:translate(-50%, -50%);
  border-radius: 12px;
  padding: 30px;
  background: #fff;
  color: #121212;
  text-align: center;
  width: 400px;
}

.netfl-title{
  color: #121212;
  font-weight: 900;
  margin-bottom: 15px;
  margin-top: 20px;
  font-size: 21px;
}

@media (max-width: 420px) {
  .first-popup-netflix{
    width: 340px;
    padding: 15px;
  }

  .netfl-title{
    font-size: 19px;
  }
      .logo-img-pop {
        width: 222px;
        text-align: center;
        margin: 0 auto;
    }
}

.netfl-text{
  font-size: 14px;
  opacity: 0.3;
  margin-bottom: 15px;
  font-weight: 100;
}

.continue-with-facebook-btn{
  background: #255af6;
  width: 100%;
  display: flex;
  text-align: center;
  justify-content: center;
  margin-bottom: 20px;
  color: #fff;
  font-weight: 600;
  font-size: 16px;
  border-radius: 4px;
  padding: 8px 0px;
}

.continue-with-facebook-btn:hover{
  color: #fff !important;
}

.disabled-email{
  width: 100%;
  padding: 10px;
  border-radius: 4px;
  border: 1px solid #0000002f;
  background: #fff;
  margin-bottom: 10px;
}

.disabled-email::placeholder{
  color: #000;
  opacity: 0.3;
}

.disabled-btn{
  background: #255af6;
  width: 100%;
  text-align: center;
  margin-bottom: 15px;
  color: #fff;
  font-weight: 600;
  font-size: 16px;
  border-radius: 4px;
  padding: 8px 0px;
  display: block !important;
}

.or{
  margin-bottom: 20px;
  opacity: 0.3;
  font-size: 16px;
}

.suptitle{
  font-size: 12px;
  opacity: 0.3;
}

.suptitle a{ 
  color: #121212 !important;
  opacity: 0.3 !important;
  text-decoration: underline;
  color: #121212 !important;
  opacity: 1 !important;
}

.close-popup-netflix{
  position: absolute;
  right: 20px;
  top: 20px;
  font-size: 0px;
  background: #00000000;
  width: 30px;
  height: 30px;
  border-radius: 100px;
}

.close-popup-netflix::before{
  position: absolute;
  content: '';
  left: 0px;
  top: 13px;
  background: #121212;
  width: 25px;
  height: 2px;
  transform: rotate(45deg);
}

.close-popup-netflix::after{
  position: absolute;
  content: '';
  left: 0px;
  top: 13px;
  background: #121212;
  width: 25px;
  height: 2px;
  transform: rotate(-45deg);
}

.button--secondary:hover {
  color: #fff !important;
}

.search-popup__protocol{
  font-size: 14px;
  margin-top: 0px;
  width: 70px !important;
}

.popup__content{
  display: none;
}

.selection__rendered{
  cursor: pointer !important;
}

.card{
  border: none !important;
}

nav a{
  color: #fff !important;
}

footer a{
  color: #fff !important;
}

.page-link{
  color: #255af6 !important;
}


.search-iocn-img, .location-icon{
  position: absolute;
  left: 22px;
  width: 30px;
  opacity: 0.9;
}

.location-icon{
  width: 25px;
  left: 22px;
}

.pagination__list .page-link{
  border: none !important;
  padding: 0px !important;
  color: #000 !important;
}